Bug 495432 - nspluginwrapper incompatible with Adobe Reader with Firefox
nspluginwrapper incompatible with Adobe Reader with Firefox
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
rawhide
i386 Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 00:38 EDT by rh
Modified: 2009-06-07 08:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 08:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rh 2009-04-13 00:38:32 EDT
Description of problem:

Adobe Reader does not work properly with Firefox when nspluginwrapper is installed (default).
A workaround: yum remove nspluginwrapper

Version-Release number of selected component (if applicable):

Firefox 3.1b3.
Adobe Reader 9.1.0.
nspluginwrapper.i586 0:1.3.0-5.fc11

How reproducible:

Steps to Reproduce:
1. Install Fedora 11 beta + the latest updates (nspluginwrapper will be installed by default).
2. Open 4-5 PDF documents in the same time to the different Firefox tabs.
3. Check you can read/print/work with all PDF documents. 

Actual results:

Adobe Reader can not open all documents properly.
You may get read errors.
Firefox may hand.
If you try print some of the PDF documents, it may fail with Adobe error. 
When you close all PDF documents i.e. Adobe reader, there still may an acroread process running which use 90-100 % of the CPU time.

Expected results:

All PDF files should be open without problems.

Additional info:

A workaround: yum remove nspluginwrapper
Comment 1 Matěj Cepl 2009-05-05 13:22:10 EDT
(In reply to comment #0)
 Adobe Reader does not work properly with Firefox when nspluginwrapper is
> installed (default).
> A workaround: yum remove nspluginwrapper

With nspluginwrapper installed, could we get output of commands (run as normal user):

mozilla-plugin-config -f -c
mozilla-plugin-config -l

please?

> Adobe Reader can not open all documents properly.
> You may get read errors.
> Firefox may hand.
> If you try print some of the PDF documents, it may fail with Adobe error. 
> When you close all PDF documents i.e. Adobe reader, there still may an acroread
> process running which use 90-100 % of the CPU time.

Could we get output of the command

getenforce

? If it says anything else than Disabled, could we get /var/log/audit/audit.log attached to this bug as private attachment, please?

Thank you
Comment 2 rh 2009-05-07 03:28:39 EDT
Command 'mozilla-plugin-config -f -c'
does not give an output.

$ mozilla-plugin-config -l
EXCLUDE_WRAP:
libtotem*
libjavaplugin*
gecko-mediaplayer*
mplayerplug-in*
librhythmbox*
EXCLUDE_LINK:

File/Link /usr/lib/mozilla/plugins-wrapped/libjavaplugin.so
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.nppdf.so
  Original plugin: /usr/lib/mozilla/plugins/nppdf.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib/mozilla/plugins-wrapped/librhythmbox-itms-detection-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-gmp-plugin.so
/usr/lib/mozilla/plugins-wrapped/nswrapper_32_32.libflashplayer.so
  Original plugin: /usr/lib/mozilla/plugins/libflashplayer.so
  Wrapper version string: X (1.3.0)
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-cone-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-mully-plugin.so
File/Link /usr/lib/mozilla/plugins-wrapped/libtotem-narrowspace-plugin.so

-------------


$ getenforce
Enforcing

--------------


Wonder if you can't reproduce this - see above 'Steps to Reproduce'.

Also wonder why Fedora install nspluginwrapper as default?
It has always caused problems - also in previous releases.
The first think is remove it after fresh Fedora install.
Comment 3 Matěj Cepl 2009-05-07 18:50:34 EDT
Do you have mozplugger installed?

Would 

yum remove mozplugger
yum install nspluginwrapper

help?

And we are installing nspluginwrapper per default because we think it is quite useful. The main point is that because it is now a process separate from firefox process, we can do some things which are impossible without it:

a) being a separate process we can confine it by SELinux, so that plugins cannot do mayhem, e.g. send content of the Firefox password database (with all your passwords for bank accounts) or ~/.ssh over the Internet somewhere. It is especially accute with Flash: imagine random executable binary blobs downloaded from unknown sources  (aka flash movies) which are able to communicate over Internet. Are you afraid? Not nearly enough.

Read http://danwalsh.livejournal.com/15700.html, and http://danwalsh.livejournal.com/25599.html for more comprehensive explanation of this, and http://danwalsh.livejournal.com/17727.html for an example.

And hopefully I don't have to remind you about the whole line of security vulnerabilities in the current Adobe Acrobat (I don't think Red Hat is the only company which removed Adobe Acrobat Reader from all its internally managed machines lately).

b) being a separate process crash in plugin (which unfortunately happens) doesn't take down whole Firefox, but you just get grey rectangle in place where the plugin was supposed to be, and after reloading page you can try again.
Comment 4 rh 2009-05-08 08:31:03 EDT
Thanks clarifying nspluginwrapper benefits:)
mozplugger is not installed - it was installed by default (as you know), but I have removed it. So remove mozplugger does not help.
Comment 5 Matěj Cepl 2009-05-08 16:37:55 EDT
OK, so it isn't mozplugger. Let's try to find out what SELinux thinks. Could we get as an attachment to this bug (click "Private" checkbox when attaching) your whole /var/log/audit/audit.log, please?

Thank a lot.
Comment 6 rh 2009-05-09 09:44:46 EDT
Installed nspluginwrapper again, but curretly can't reproduce the issue anymore, although managed to reproduce the problem easily still two days ago.
Only difference I can see is the latest updates applied.
Will run Firefox with nspluginwrapper and monitor how the thinks goes in next coming days.
So please just wait, will update the bug within few days with the results.
Comment 7 Matěj Cepl 2009-05-09 14:00:52 EDT
OK, I give you month, and if you won't anything until then, we will close this bug.
Comment 8 rh 2009-05-09 14:47:23 EDT
Agreed.
Comment 9 rh 2009-06-07 08:48:54 EDT
This has worked without any issues last month now.
Will close this bug.

Note You need to log in before you can comment on or make changes to this bug.